=== debian/changelog ===
hilive (0.0+20150926-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2016 20:54:18 +0200

hilive (0.0+20150926-1) unstable; urgency=medium

  * Initial release (Closes: #832950)

 -- Andreas Tille <tille@debian.org>  Sat, 30 Jul 2016 21:42:48 +0200
