=== debian/control ===
Source: hilive
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libboost-system-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               zlib1g-dev,
               liblz4-dev,
               chrpath
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/hilive.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/hilive.git
Homepage: https://sourceforge.net/projects/hilive/

Package: hilive
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: realtime alignment of Illumina reads
 HiLive is a read mapping tool that maps Illumina HiSeq (or comparable)
 reads to a reference genome right in the moment when they are produced.
 This means, read mapping is finished as soon as the sequencer is
 finished generating the data.
