=== debian/changelog ===
hilive (0.3-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 06 Jun 2017 16:14:57 +0200

hilive (0.3-2) unstable; urgency=medium

  * Adapt path to seqan cmake files
    Closes: #852850

 -- Andreas Tille <tille@debian.org>  Sat, 28 Jan 2017 07:18:15 +0100

hilive (0.3-1) unstable; urgency=medium

  [Andreas Tille]
  * New upstream location with proper tagging, Closes: #833392
  * debhelper 10

  [Gert Wollny] 
  * d/control: Add libseqan2-dev  and libhts-dev as build dependency 
  * d/patches/use_...: correct path to cmake modules for FindSeQan
    an remove forced CXXFLAGS 

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2016 09:15:22 +0100
