=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                libboost-system-dev,
                libboost-filesystem-dev,
                libboost-program-options-dev,
+	       libhts-dev, 
+	       libseqan2-dev,
                zlib1g-dev,
                liblz4-dev,
                chrpath
