=== debian/watch ===
version=4

opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/HiLive-$1\.tar\.gz/g \
  https://gitlab.com/SimonHTausch/HiLive/tags .*archive\.tar\.gz\?ref=v?(\d\S*)
