=== debian/changelog ===
hilive (1.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream: created metadata file.

  [ Andreas Tille ]
  * New upstream version
  * Fix watch file
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 22 Aug 2017 20:57:18 +0200
