=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                libboost-system-dev,
                libboost-filesystem-dev,
                libboost-program-options-dev,
-	       libhts-dev, 
-	       libseqan2-dev,
+               libhts-dev,
+               libseqan2-dev,
                zlib1g-dev,
                liblz4-dev,
                chrpath
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/hilive.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/hilive.git
 Homepage: https://sourceforge.net/projects/hilive/
