## hilive 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # Set the version number 
 add_definitions(-DHiLive_VERSION_MAJOR=1)
-add_definitions(-DHiLive_VERSION_MINOR=0)
+add_definitions(-DHiLive_VERSION_MINOR=1)
 
 # Set flags for compilation
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -g -pthread -W -Wall -std=gnu++14 -O0")
