=== debian/changelog ===
hilive (1.1-2) unstable; urgency=medium

  * Fix Homepage
  * Delete debian/get-orig-source since project moved from SF to Gitlab
  * Drop redundant debian/gbp.conf
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 13:28:52 +0100

hilive (1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sat, 10 Feb 2018 19:52:36 +0100
