=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                libboost-system-dev,
                libboost-filesystem-dev,
@@ -13,10 +13,10 @@
                zlib1g-dev,
                liblz4-dev,
                chrpath
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/hilive.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/hilive.git
-Homepage: https://sourceforge.net/projects/hilive/
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/hilive
+Vcs-Git: https://salsa.debian.org/med-team/hilive.git
+Homepage: https://gitlab.com/SimonHTausch/HiLive
 
 Package: hilive
 Architecture: any
