=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_install:
	chrpath --delete obj-$(DEB_BUILD_GNU_TYPE)/hilive*
	dh_install
