=== debian/watch ===
version=4

opts="filenamemangle=s/@ANY_VERSION@\/.*\.tar\.gz/HiLive-$1\.tar\.gz/g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://gitlab.com/SimonHTausch/HiLive/tags?sort=updated_desc .*/repository/v@ANY_VERSION@/archive\.tar\.gz
