=== debian/changelog ===
hilive (2.0a-4build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:12:57 +0200

hilive (2.0a-4build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:32 +0200

hilive (2.0a-4) unstable; urgency=medium

  * Team upload
  * Build-depend on discount instead of markdown (Closes: #1073095)
  * Fix debian/watch
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Charles Plessy <plessy@debian.org>  Fri, 14 Jun 2024 08:36:14 +0900

hilive (2.0a-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Really install documentation

  [ Juhani Numminen ]
  * Remove undesired build flag -march=native

  [ Andreas Tille ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2020 11:56:44 +0100

hilive (2.0a-2) unstable; urgency=medium

  * Install tutorial
  * Provide simple autopkgtest
  * Install documentation

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 15:47:28 +0200

hilive (2.0a-1) unstable; urgency=medium

  * New upstream version
  * New URL on Github
  * Fix watch file
  * Standards-Version: 4.4.1
  * Build-Depends: libboost-iostreams-dev

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 13:48:50 +0200

hilive (1.1-3) unstable; urgency=medium

  * Fix watch file
  * Fix build with gcc9
    Closes: #925714
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sat, 17 Aug 2019 20:50:36 +0200
