=== debian/control ===
--- 
+++ 
@@ -3,20 +3,23 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libboost-system-dev,
                libboost-filesystem-dev,
+               libboost-iostreams-dev,
                libboost-program-options-dev,
                libhts-dev,
                libseqan2-dev,
                zlib1g-dev,
                liblz4-dev,
-               chrpath
-Standards-Version: 4.3.0
+               chrpath,
+               discount
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/hilive
 Vcs-Git: https://salsa.debian.org/med-team/hilive.git
-Homepage: https://gitlab.com/SimonHTausch/HiLive
+Homepage: https://gitlab.com/rki_bioinformatics/HiLive2
+Rules-Requires-Root: no
 
 Package: hilive
 Architecture: any
