=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/rki_bioinformatics/HiLive2/tags?sort=updated_desc -/archive/v?\d[\d.a-z]+/HiLive2-@ANY_VERSION@@ARCHIVE_EXT@
